LIRC libraries LinuxInfraredRemoteControl

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
lengths_state Struct Reference

`#include <irrecord.h>`

## Data Fields
int | keypresses_done
int | keypresses
int | retval
int | count
lirc_t | data
lirc_t | average
lirc_t | maxspace
lirc_t | sum
lirc_t | remaining_gap
lirc_t | header
int | first_signal
enum analyse_mode | mode

## Detailed Description

State in get_lengths(), private besides commented.

Definition at line 197 of file irrecord.h.

## Field Documentation

int lengths_state::count

Number of processed data items.

Definition at line 204 of file irrecord.h.

int lengths_state::keypresses

Number of counted button presses.

Definition at line 201 of file irrecord.h.

int lengths_state::keypresses_done

Number of printed keypresses.

Definition at line 199 of file irrecord.h.

lirc_t lengths_state::sum

Number of bits accounted for in signal.

Definition at line 209 of file irrecord.h.

The documentation for this struct was generated from the following file:

- /home/mk/tmp/lirc/lib/irrecord.h (3869b68 2015-08-16 08:55:45 +0200)